Bug 1119580 - Frescobaldi doesn't start; probably bug in python-poppler-qt5 or python3-poppler-qt5
Frescobaldi doesn't start; probably bug in python-poppler-qt5 or python3-popp...
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: Other
Current
x86-64 openSUSE Factory
: P5 - None : Normal (vote)
: ---
Assigned To: Cor Blom
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-12-14 19:35 UTC by Jogchum Reitsma
Modified: 2018-12-20 20:12 UTC (History)
2 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jogchum Reitsma 2018-12-14 19:35:45 UTC
Having installed the latest TW release, frescobaldi (v. 3.0.0-2.1 from TW repo) does not start. 

When started from the terminal, I get
===========================================================================
`Traceback (most recent call last):
File "/usr/lib/python3.6/site-packages/frescobaldi_app/plugin.py", line 79, in instance
return _instances[cls][obj]
File "/usr/lib64/python3.6/weakref.py", line 394, in getitem
return self.data[ref(key)]
KeyError: <weakref at 0x7f183c099868; to 'type' at 0x55e9db06e8b8 (PanelManager)>

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/usr/bin/frescobaldi", line 11, in
main.main() # Parse command line, create windows etc
File "/usr/lib/python3.6/site-packages/frescobaldi_app/main.py", line 247, in main
win = mainwindow.MainWindow()
File "/usr/lib/python3.6/site-packages/frescobaldi_app/mainwindow.py", line 128, in init
self.createMenus()
File "/usr/lib/python3.6/site-packages/frescobaldi_app/mainwindow.py", line 1010, in createMenus
menu.createMenus(self)
File "/usr/lib/python3.6/site-packages/frescobaldi_app/menu.py", line 61, in createMenus
m.addMenu(menu_file(mainwindow))
File "/usr/lib/python3.6/site-packages/frescobaldi_app/menu.py", line 96, in menu_file
m.addMenu(snippet.menu.TemplateMenu(mainwindow))
File "/usr/lib/python3.6/site-packages/frescobaldi_app/snippet/menu.py", line 139, in init
self.addAction(self.tool().actionCollection.templates_manage)
File "/usr/lib/python3.6/site-packages/frescobaldi_app/snippet/menu.py", line 59, in tool
return panelmanager.manager(self.mainwindow()).snippettool
File "/usr/lib/python3.6/site-packages/frescobaldi_app/panelmanager.py", line 36, in manager
return PanelManager.instance(mainwindow)
File "/usr/lib/python3.6/site-packages/frescobaldi_app/plugin.py", line 84, in instance
result.init(obj)
File "/usr/lib/python3.6/site-packages/frescobaldi_app/panelmanager.py", line 51, in init
self.loadPanel("musicview.MusicViewPanel")
File "/usr/lib/python3.6/site-packages/frescobaldi_app/panelmanager.py", line 86, in loadPanel
import(module_name)
File "/usr/lib/python3.6/site-packages/frescobaldi_app/musicview/init.py", line 56, in
from . import documents
File "/usr/lib/python3.6/site-packages/frescobaldi_app/musicview/documents.py", line 32, in
import popplerqt5
ValueError: PyCapsule_GetPointer called with incorrect name
==================================================================

According to the upstream maintainers of frescobaldi, "The problem is known and reoccurs every now and then, the problem is that one of the dependency packages (python-poppler-qt5 or python3-poppler-qt5) is not correctly recompiled against the correct Qt version. So the issue becomes visible when Qt is updated in the distribution but python-poppler-qt5 is not."
Comment 1 Cor Blom 2018-12-15 11:48:55 UTC
I have added a line (taken from the calibre spec) to make to dependency with python-qt5 tighter. Hopefully this helps.
Comment 2 Swamp Workflow Management 2018-12-15 12:30:05 UTC
This is an autogenerated message for OBS integration:
This bug (1119580) was mentioned in
https://build.opensuse.org/request/show/658526 Factory / python-poppler-qt5
Comment 3 Fabian Vogt 2018-12-15 12:53:34 UTC
(In reply to Cor Blom from comment #1)
> I have added a line (taken from the calibre spec) to make to dependency with
> python-qt5 tighter. Hopefully this helps.

The change that broke this was in python-sip, so that's not enough.

sr 658532 should fix this properly.
Comment 4 Jogchum Reitsma 2018-12-20 20:12:52 UTC
Solved in Tumbleweed snapshot 20181218.
Thanks!